=== modified file 'lib/canonical/launchpad/scripts/tests/test_hwdb_submission_processing.py'
--- lib/canonical/launchpad/scripts/tests/test_hwdb_submission_processing.py	2011-09-01 13:43:32 +0000
+++ lib/canonical/launchpad/scripts/tests/test_hwdb_submission_processing.py	2011-09-01 14:55:57 +0000
@@ -4444,14 +4444,16 @@
             'provide bus, vendor ID, product ID or product name: None None '
             'None None /devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0')
 
-    def test_warnings_can_be_suppressed(self):
-        """Logging of warnings can be suppressed."""
+    def test_warnings_not_suppressed(self):
+        """Logging of warnings can be allowed."""
         parser = SubmissionParser(self.log)
         parser.submission_key = "log_with_warnings"
         parser._logWarning("This message is logged.")
         self.assertWarningMessage(
             parser.submission_key, "This message is logged.")
 
+    def test_warnings_suppressed(self):
+        """Logging of warnings can be suppressed."""
         number_of_existing_log_messages = len(self.handler.records)
         parser = SubmissionParser(self.log, record_warnings=False)
         parser.submission_key = "log_without_warnings"

=== modified file 'lib/lp/hardwaredb/scripts/hwdbsubmissions.py'
--- lib/lp/hardwaredb/scripts/hwdbsubmissions.py	2011-09-01 13:43:32 +0000
+++ lib/lp/hardwaredb/scripts/hwdbsubmissions.py	2011-09-01 14:55:57 +0000
@@ -3098,8 +3098,8 @@
         'Processed %i valid and %i invalid HWDB submissions'
         % (loop.valid_submissions, loop.invalid_submissions))
 
-def reprocess_invalid_submissions(transaction, logger, max_submissions=None,
-                                  record_warnings=True, start):
+def reprocess_invalid_submissions(transaction, logger, start,
+                                  max_submissions=None, record_warnings=True):
     """Reprocess invalid submissions.
 
     Parse submissions that have been marked as invalid. A newer

